-- | Abstraction on executable commands.
module System.Build.Command(
                             Command,
                             command
                           ) where

class Command c where
  -- | Determines the executable command for a value. Since this is in @IO@ it may use environment variables.
  command :: c -> IO String
